Application: gvSIG desktop - gvSIG bugs #2697
InfoByPoint: decimal and value separators are the same
07/21/2014 01:20 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category: Raster

Target version: 2.2.0-2303 (rev. org.gvsig.desktop-2.0.90,

Severity: Minor Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2237 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: separator, infobypoint Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Decimal and value separators are the same in the InfoByPoint window, so reading and interpreting the info is not user friendly.
For instance, see the screenshot in attachment. In order to solve this, please consider #2686 ;)

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 2686: Option... Closed 07/17/2014

Associated revisions

Revision 3197 - 03/05/2015 05:55 PM - Francisco Diaz Carsi

refs #2697 En los idiomas en los que coincide la separacion decimal con la coma, sustituida esta en la separacién de nimeros en el InfoByPointPanel

por una barra vertical

Revision 3199 - 03/09/2015 10:24 AM - Francisco Diaz Carsi

refs #2697 Espacio como separador de numeros en el InfoByPointPanel

History

#1 - 07/22/2014 05:27 AM - Alvaro Anguix
- Related to gvSIG feature requests #2686: Option to skip the decimal format inherited by the current locale added

#2 - 01/27/2015 02:33 PM - Alvaro Anguix
- Category set to Raster

#3 - 03/02/2015 11:03 AM - Alvaro Anguix
- Target version set to 2.2.0-2311-rc2

- Assignee set to Francisco Diaz Carsi

#4 - 03/05/2015 06:05 PM - Francisco Diaz Carsi
- Status changed from New to Fixed

Sustituida la coma de separacion de valores por una barra vertical para el caso de que la separacion de decimales coincida con una coma. En los
idiomas donde la separacion decimal sea un punto o cualquier otro caracter distinto a la coma, permanecera como hasta ahora.
El arreglo se hara efectivo cuando se genere un nuevo build de raster.

#5 - 03/05/2015 06:15 PM - Joaquin del Cerro Murciano

- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2303 (rev. org.gvsig.desktop-2.0.90)

#6 - 03/06/2015 12:54 PM - Francisco Diaz Carsi
- Status changed from Fixed to In progress

Tras comentarlo con Joaquin, pensamos que seria mejor que esta solucién, poner simplemente un espacio en blanco para separar datos. Asi se

comportaria igual para cualquier idioma.

#7 - 03/09/2015 10:26 AM - Francisco Diaz Carsi

- Status changed from In progress to Fixed

Puesto un espacio como separador de nimeros en el InfoByPointPanel.

El arreglo se hara efectivo cuando se genere un nuevo build de raster.

#8 - 04/07/2015 12:29 PM - Alvaro Anguix

- Status changed from Fixed to Closed
